Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.core.v1
Class FindAmppType

    java.lang.Object
      be.fgov.ehealth.dics.core.v1.BaseType
          be.fgov.ehealth.dics.core.v1.FindAmppType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:13:06+02:00",
               comments="JAXB RI v2.2.6")
    public class FindAmppType

extends BaseType
implements Serializable

Java class for FindAmppType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindAmppType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v1}BaseType">
           <sequence>
             <element name="AmppId" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="DeliveryEnvironment" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindAmppType()`

Method Summary
`long` | `getAmppId()` Gets the value of the amppId property.
`String` | `getDeliveryEnvironment()` Gets the value of the deliveryEnvironment property.
`String` | `getName()` Gets the value of the name property.
`void` | `setAmppId(long value)` Sets the value of the amppId property.
`void` | `setDeliveryEnvironment(String value)` Sets the value of the deliveryEnvironment property.
`void` | `setName(String value)` Sets the value of the name property.

Methods inherited from class be.fgov.ehealth.dics.core.v1.BaseType
`getEndDate, getStartDate, setEndDate, setStartDate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindAmppType

    public FindAmppType()

Method Detail

### getAmppId

    public long getAmppId()

  Gets the value of the amppId property.

### setAmppId

    public void setAmppId(long value)

  Sets the value of the amppId property.

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getDeliveryEnvironment

    public String getDeliveryEnvironment()

  Gets the value of the deliveryEnvironment property.

  Returns:
    possible object is `String`

### setDeliveryEnvironment

    public void setDeliveryEnvironment(String value)

  Sets the value of the deliveryEnvironment property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSDENTIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.